Bug 1315827 - openstack undercloud install fails with "Element pip-and-virtualenv already loaded."
openstack undercloud install fails with "Element pip-and-virtualenv already l...
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: instack (Show other bugs)
Liberty
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Liberty
Assigned To: James Slagle
Shai Revivo
: AutomationBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 12:35 EST by Attila Darazs
Modified: 2017-06-18 02:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 02:02:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Darazs 2016-03-08 12:35:25 EST
Description of problem:
During the undercloud install, the following error occurs:

2016-03-07 16:12:05,896 INFO: Running instack
2016-03-07 16:12:05,963 INFO: INFO: 2016-03-07 16:12:05,962 -- Starting run of instack
2016-03-07 16:12:05,973 INFO: INFO: 2016-03-07 16:12:05,972 -- Using json file: /usr/share/instack-undercloud/json-files/centos-7-undercloud-packages.json
2016-03-07 16:12:05,973 INFO: INFO: 2016-03-07 16:12:05,972 -- Running Installation
2016-03-07 16:12:05,974 INFO: INFO: 2016-03-07 16:12:05,973 -- Initialized with elements path: /usr/share/tripleo-puppet-elements /usr/share/instack-undercloud /usr/share/tripleo-image-elements /usr/share/diskimage-builder/elements
2016-03-07 16:12:05,993 INFO: ERROR: 2016-03-07 16:12:05,993 -- Element pip-and-virtualenv already loaded.
2016-03-07 16:12:05,993 INFO:   File "/usr/lib/python2.7/site-packages/instack/main.py", line 162, in main
2016-03-07 16:12:05,994 INFO:     args.dry_run, args.interactive, args.no_cleanup)
2016-03-07 16:12:05,994 INFO:   File "/usr/lib/python2.7/site-packages/instack/runner.py", line 71, in __init__
2016-03-07 16:12:05,994 INFO:     self.load_elements()
2016-03-07 16:12:05,994 INFO:   File "/usr/lib/python2.7/site-packages/instack/runner.py", line 94, in load_elements
2016-03-07 16:12:05,994 INFO:     self.process_path(path)
2016-03-07 16:12:05,995 INFO:   File "/usr/lib/python2.7/site-packages/instack/runner.py", line 128, in process_path
2016-03-07 16:12:05,995 INFO:     raise Exception("Element %s already loaded." % elem)
2016-03-07 16:12:05,995 INFO: ERROR: 2016-03-07 16:12:05,993 -- None


Version-Release number of selected component (if applicable):

$ rpm -qa|egrep "(tripleo|instack)"|sort
instack-0.0.8-1.el7.noarch
instack-undercloud-2.1.3-1.el7.noarch
openstack-tripleo-0.0.6-1.el7.noarch
openstack-tripleo-heat-templates-0.8.7-1.el7.noarch
openstack-tripleo-image-elements-0.9.7-1.el7.noarch
openstack-tripleo-puppet-elements-0.0.2-1.el7.noarch
python-tripleoclient-0.0.11-3.el7.noarch
tripleo-common-0.0.1-2.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. run "openstack undercloud install" using the production repos

Actual results: Failed install.

Expected results: Something like this (from the latest delorean runs):

INFO: 2016-03-07 16:43:39,725 -- Initialized with elements path: /usr/share/tripleo-puppet-elements /usr/share/instack-undercloud /usr/share/tripleo-image-elements /usr/share/diskimage-builder/elements
INFO: 2016-03-07 16:43:39,772 -- List of all elements and dependencies: common-venv undercloud-install puppet-modules pip-manifest selinux openstack-clients manifests mysql-dev selinux-permissive ironic source-repositories package-installs os-refresh-config os-apply-config undercloud-stack-config os-net-config hiera dib-init-system undercloud-post-config iptables install-types os-collect-config svc-map dib-python element-manifest openvswitch ironic-conductor base os-svc-install undercloud-package-install os-cloud-config redhat-common ipxe puppet-stack-config pip-and-virtualenv cache-url pkg-map yum puppet selinux-setenforce-0
INFO: 2016-03-07 16:43:39,772 -- Excluding element pip-and-virtualenv
INFO: 2016-03-07 16:43:39,772 -- Excluding element ironic
INFO: 2016-03-07 16:43:39,772 -- Excluding element openstack-clients
INFO: 2016-03-07 16:43:39,772 -- Excluding element os-collect-config
INFO: 2016-03-07 16:43:39,774 -- Excluding element selinux
INFO: 2016-03-07 16:43:39,826 --   Running hook extra-data

Additional info:

Full logs: https://ci.centos.org/artifacts/rdo/jenkins-rdo_manager-periodic-7-rdo-liberty-production-centos-7.0-templates-virthost-minimal-neutron-ml2-vxlan-smoke-465/
Comment 2 jinqlu 2016-04-06 17:52:06 EDT
I have the same issue from Cisco lab:

openstack undercloud installation failed with "Element pip-and-virtualenv already loaded":

[stack@lab_osp7_director ~]$ openstack undercloud install 
Logging to /home/stack/.instack/install-undercloud.log
Checking for a FQDN hostname...
....
Running instack
INFO: 2016-04-06 18:06:32,734 -- Starting run of instack
INFO: 2016-04-06 18:06:32,739 -- Using json file: /usr/share/instack-undercloud/json-files/rhel-7-undercloud-packages.json
INFO: 2016-04-06 18:06:32,740 -- Running Installation
INFO: 2016-04-06 18:06:32,740 -- Initialized with elements path: /usr/share/tripleo-puppet-elements /usr/share/instack-undercloud /usr/share/tripleo-image-elements /usr/share/diskimage-builder/elements
ERROR: 2016-04-06 18:06:32,759 -- Element pip-and-virtualenv already loaded.
  File "/usr/lib/python2.7/site-packages/instack/main.py", line 162, in main
    args.dry_run, args.interactive, args.no_cleanup)
  File "/usr/lib/python2.7/site-packages/instack/runner.py", line 71, in __init__
    self.load_elements()
  File "/usr/lib/python2.7/site-packages/instack/runner.py", line 94, in load_elements
    self.process_path(path)
  File "/usr/lib/python2.7/site-packages/instack/runner.py", line 128, in process_path
    raise Exception("Element %s already loaded." % elem)
ERROR: 2016-04-06 18:06:32,760 -- None
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 519, in install
    _run_instack(instack_env)
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 454, in _run_instack
    _run_live_command(args, instack_env, 'instack')
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 297, in _run_live_command
    raise RuntimeError('%s failed. See log for details.', name)
RuntimeError: ('%s failed. See log for details.', 'instack')
ERROR: openstack Command 'instack-install-undercloud' returned non-zero exit status 1
Comment 4 Michael Bayer 2016-05-09 12:26:09 EDT
When using RHOS, I resolved this by ensuring that I'm using diskimage-builder-0.1.46-4.el7ost and not diskimage-builder-1.11.1-1.el7 (the EPEL release), per the resolution of bz#1325417.
Comment 5 Christopher Brown 2017-06-17 15:43:58 EDT
Hello,

I'm just reviewing some old bugs.

I think this can be closed now unless you are still having this problem?

Note You need to log in before you can comment on or make changes to this bug.